APT-CONFIG(8)

de Febrero de 2004

NAME
apt-config - Programa para consultar la configuración de APT

SYNOPSIS

apt-config [-hv] [-o=cadena-de-configuración] [-c=fichero] {[shell] | [dump]}

DESCRIPCIóN

apt-config es un programa interno que usan varios programas del conjunto de herramientas de APT para ofrecer un método de configuración sólido. Este programa accede al fichero principal de configuración /etc/apt/apt.conf de forma que resulta sencillo de usar por aplicaciones con scripts.

Se debe proporcionar alguna de las siguientes órdenes, a menos que se proporcione una de las opciones -h o --help.

shell
    Se usa para acceder a la información de la configuración mediante un script. Se proporcionan parejas de argumentos, el primero es una variable del intérprete de órdenes y el segundo el valor de la configuración a consultar. Como salida muestra una serie de listas de órdenes asignadas al intérprete de órdenes para cada valor presente. Ésto se debería usar de la siguiente manera en un script:

        OPTS="-f"
        RES=`apt-config shell OPTS MiAplicación::opciones`
        eval $RES
    Esto define la variable de entorno del intérprete de órdenes $OPTS con el valor de MyApp::Opciones, y con -f por omisión.

    La opción de configuración se puede corregir posteriormente con un «/[fdbi]». El parámetro «f» devuelve nombres de fichero, «d» devuelve los directorios, «b» devuelve verdadero o falso, e «i» devuelve un número entero. Cada uno de los valores devueltos se normaliza y se verifica internamente.

dump
    Sólo muestra el contenido del espacio de configuración.

OPCIONES

Todas las opciones de la línea de órdenes se pueden definir mediante el fichero de configuración, las descripciones indican la opción de la configuración a definir. Para opciones de tipo «boolean» puede invalidar el fichero de configuración utilizando algo como -f-,--no-f, -f=no u otras muchas variaciones.

-h, --help
    Muestra un mensaje corto sobre el uso.

-v, --version
    Muestra la versión del programa.

-c, --config-file
    Fichero de configuración: Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración predeterminado y, después, este fichero de configuración. Si necesita que ciertas opciones de configuración se definan antes que el análisis de los de los ficheros de configuración predeterminados, defina un fichero con la variable de entorno APT_CONFIG. Consulte apt.conf(5) para información sobre la sintaxis.

-o, --option
    Define una opción de configuración: Esto definirá una opción arbitraria de configuración. La sintaxis es -o Algo::Cosa=cosa. -o y --option se pueden usar varias veces para definir diferentes opciones.

VéASE TAMBIéN

apt.conf(5)

DIAGNóSTICOS

apt-config devuelve cero si no hay ningún error, y el valor 100 en caso de error.

BUGS

Página de errores de APT[1]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2010.

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTHORS

Jason Gunthorpe

Equipo de APT

NOTES

1.  Página de errores de APT
    http://bugs.debian.org/src:apt